ORA-28040 nach Upgrade auf 12c, 18c oder 19c

Sie haben gerade Ihre Datenbank upgegradet und ihre Applikation, TOAD oder ein anderer Client meldet auf einmal einen ORA-28040 beim Versuch sich an der Datenbank anzumelden. Dann verwenden Sie wahrscheinlich einen Oracle Client oder einen Oracle JDBC Treiber der älter als 11.2.0.3 ist.

Unsere Empfehlung ist hier ganz klar, upgraden Sie auch Ihren Client auf 11.2.0.4 (Terminal Release der 11gR2, Download nur über Oracle Support Portal möglich) oder noch besser auf eine höhere Version wenn möglich.

Es besteht auch noch die Möglichkeit einen SQLNET.ORA Parameter namens SQLNET_ALLOWED_LOGON_VERSION bei Verwendungs eines OCI Clients zu setzen, allerdings funktioniert dies nicht bei der Verwendung eines JDBC Thin Treibers.

Wenn Sie Hilfe beim Upgrade benötigen, rufen Sie uns an 069-588043610, wir helfen Ihnen gerne !!!

Referenz: Die Ausgabe von oerr
28040, 0000, „No matching authentication protocol“
// *Cause: No acceptible authentication protocol for both client and server
// *Action: Administrator should set SQLNET_ALLOWED_LOGON_VERSION parameter
// on both client and servers to values that matches the minimum
// version supported in the system.